Game version list
Documentation for Game version list
Read time 1 minuteLast updated a year ago
Get a list of game versions for the specified .
<accountserviceid>https://api.multiplay.co.uk/cfp/v1/gameversion/list
METHOD |
GET |
Request parameters
VARIABLE | DESCRIPTION | OPTIONAL |
accountserviceid | Account service ID associated with the specified resource. | No |
gameid | Game ID to list the associated game versions. | Yes |
gameversionid | Optional game version filter. | Yes |
gameversion_identifier | Optional game version identifier filter. | Yes |
Response fields
|
|
|
|
|---|---|---|---|
gameversions | array | List of game version objects. | No |
Game version object
|
|
|
|
|---|---|---|---|
identifier | string | Unique identifier of the game version. | No |
description | string | Description of the game version. | Yes |
gameid | integer | Game ID which is related to this game version. | No |
version | string | Version information about the game version. Can be an empty string if not set. | No |
gameversionid | integer | ID of the game version. | No |
Example request
curl --location --request GET 'https://api.multiplay.co.uk/cfp/v1/gameversion/list?accountserviceid=<accountserviceid>&gameid=<gameid>&gameversionid=<gameversionid>&gameversion_identifier=<gameversion_identifier>' \--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
Example response
{ "gameversions": [ { "identifier": <identifier>, "description": <description>, "gameid": <gameid>, "version": <version>, "name": "<name", "gameversionid": <gameversionid> }, ... ]}